@media (max-width: 1399px) {
    h1.display-3.fw-bolder.mb-4.line-height-tight.text-white {
        font-size: 50px;
    }

    .hero-section {
        border-radius: 0 !important;
    }

    .filter-sidebar {
        top: 0;
        padding: 10px;
    }

    .filter-item {
        padding: 5px 5px;
    }

    .filter-sidebar h5 {
        margin-bottom: 10px !important;
    }

    .glass-panel {
        padding: 10px !important;
    }
}

@media (max-width: 1199px) {
    .nav-link {
        margin: 0 5px;
    }

    input.form-control.bg-transparent.border-0.text-dark.shadow-none.js-live-search {
        font-size: 14px;
    }

    button.btn.btn-warning.rounded-pill.px-4.m-1.fw-bold.text-white {
        font-size: 15px;
    }

    .card.h-100.tool-card .card-body {
        padding: 10px;
    }

    .btn-visit {
        font-size: 10px;
        padding: 3px 6px;
    }

    .tool-stats {
        gap: 10px;
    }

    .tool-stats>div {
        font-size: 12px;
    }

    .tool-card .card-footer {
        padding: 12px !important;
    }

    .d-flex.gap-2.mb-3.data-tags span {
        font-size: 10px;
        margin-right: 5px;
    }

    .course-filter-form .form-select {
        font-size: 12px;
    }

    .course-filter-form .btn-outline-secondary {
        font-size: 13px;
    }

    .d-flex.gap-2.mb-3.data-tags {
        display: inline-block !important;
    }

    a.btn.btn-outline-light.rounded-pill.px-4.py-3.fw-bold {
        font-size: 12px;
    }

    .hero-meta-chip {
        font-size: 14px;
    }

    .lesson-card .lesson-info {
        font-size: 14px;
    }

    .curriculum-accordion .accordion-button {
        line-height: 23px;
        font-size: 15px;
        padding: 15px 20px;
    }

    .premium-list-side ul li {
        gap: 15px;
        padding: 10px;
        font-size: 14px;
    }

    .lesson-card {
        padding: 12px 15px;
    }

    .course-content-section.shadow-lg.border-0 {
        padding: 25px;
    }

    .custom-tabs .nav-link {
        font-size: 15px;
        padding: 10px 15px;
    }

    .container.py-5.position-relative.z-2 {
        padding-top: 10px !important;
    }

    .btn-detail-main {
        padding: 10px 15px;
        font-size: 14px;
        border-radius: 6px;
    }

    button.btn.btn-detail-save.shadow-sm {
        padding: 10px 15px;
        font-size: 14px;
        border-radius: 6px;
    }

    span.meta-bright.small {
        font-size: 13px;
    }

    .d-flex.justify-content-between.align-items-center.mb-5 {
        margin-bottom: 20px !important;
    }

    .blog-body h2,
    .blog-body h3 {
        margin-bottom: 10px;
        margin-top: 20px;
    }

    section.hero-section {
        padding-top: 85px !important;
        padding-bottom: 30px !important;
        min-height: 600px;
    }

    .tool-brand-box {
        width: 80px;
        height: 80px;
        border-radius: 10px;
    }

    .card.border-0.shadow-sm.rounded-4.p-4 {
        padding: 0px !important;
        box-shadow: none !important;
    }

    h1.display-5.fw-bold.text-white.mb-0 {
        font-size: 35px;
    }

    p.text-white.fs-5.mb-5.lh-base {
        font-size: 14px !important;
        margin-bottom: 15px !important;
    }

    .d-flex.flex-wrap.align-items-center.gap-3.mb-5 {
        margin-bottom: 15px !important;
    }

    .row.pt-4.border-top.border-white.border-opacity-10 {
        padding-top: 10px !important;
    }
}

@media (max-width: 991px) {
    .site-footer {
        overflow: hidden;
        width: 100%;
    }

    h1.display-3.fw-bolder.mb-3.animate-up.delay-1 {
        font-size: 30px;
        margin-bottom: 10px !important;
    }

    .hero-section .badge {
        margin-bottom: 10px !important;
    }

    p.lead.text-secondary.mb-5.mx-auto.animate-up.delay-2 {
        margin-bottom: 20px !important;
        font-size: 15px;
    }

    .d-flex.justify-content-center.flex-wrap.gap-5.opacity-50.grayscale-logos {
        gap: 15px !important;
    }

    .brands-section.py-5 {
        padding: 20px !important;
    }

    section#tools {
        padding: 15px 0 !important;
    }

    .container.py-5 {
        padding-top: 0 !important;
        padding-bottom: 5px !important;
    }

    .d-flex.justify-content-between.align-items-end.mb-5 {
        margin-bottom: 10px !important;
    }

    a.btn.btn-outline-secondary.rounded-pill.btn-sm.px-3.hover-white {
        display: none;
    }

    p.text-white-50.mb-0 {
        font-size: 14px;
    }

    .card.h-100.tool-card {
        border-radius: 10px;
    }

    .tool-card:hover {
        transform: translateY(0) !important;
    }

    span.input-group-text.bg-transparent.border-0.ps-4.text-muted {
        font-size: 14px;
    }

    button.btn.btn-warning.rounded-pill.px-4.m-1.fw-bold.text-white {
        font-size: 12px;
    }

    input.form-control.bg-transparent.border-0.text-dark.shadow-none.js-live-search {
        font-size: 13px;
    }

    #prompts .nav-pills .nav-link {
        font-size: 13px;
    }

    ul#pills-tab {
        gap: 5px !important;
    }

    .container.py-5.position-relative .text-center.mb-5 {
        margin-bottom: 10px !important;
        font-size: 15px;
    }

    .container.py-5.position-relative .text-center.mb-5 h2 {
        font-size: 18px;
    }

    h1.display-3.fw-bolder.mb-4.line-height-tight.text-white {
        font-size: 30px;
    }

    .badge.bg-primary.bg-opacity-20.text-primary.border.border-primary.border-opacity-30.rounded-pill.px-4.py-2.mb-4 {
        margin-top: 10px;
        margin-bottom: 10px !important;
    }

    .d-flex.flex-wrap.gap-3.mb-5 {
        gap: 5px !important;
        margin-bottom: 10px !important;
        display: flex !important;
        justify-content: space-between;
    }

    a.btn.btn-outline-light.rounded-pill.px-4.py-3.fw-bold {
        padding: 10px 17px !important;
    }

    .hero-meta-chip i {
        color: #fff !important;
    }

    .course-content-section.shadow-lg.border-0 {
        border-radius: 10px;
        padding: 15px !important;
    }

    .custom-tabs .nav-link {
        font-size: 12px;
        padding: 5px 13px;
    }

    section.course-hero.position-relative,
    section.about-hero.position-relative {
        padding-top: 85px;
    }

    nav.rank-math-breadcrumb p {
        border-radius: 8px;
    }

    section.hero-section,
    section.about-hero.position-relative,
    section.contact-hero.position-relative.overflow-hidden.mb-5 {
        min-height: auto !important;
    }

    section.about-hero.position-relative,
    section.contact-hero.position-relative.overflow-hidden.mb-5 {
        margin-bottom: 20px !important;
    }

    section.about-hero.position-relative p,
    section.contact-hero.position-relative.overflow-hidden.mb-5 p {
        color: #fff !important;
        font-size: 15px !important;
    }

    .col-lg-3.order-lg-1 {
        order: 2;
    }

    .mission-box.overflow-hidden {
        padding: 0 !important;
        background: none;
        border-radius: 0;
        border: none;
        font-size: 14px;
    }

    p.text-secondary.fs-5.mb-4 {
        font-size: 15px !important;
    }

    .d-flex.gap-3.mb-3 {
        gap: 5px !important;
        align-items: center;
    }

    .bg-primary.bg-opacity-10.p-2.rounded-circle.text-primary {
        display: flex;
        width: 30px !important;
        flex: none;
    }

    section.blog-hero.position-relative {
        padding-top: 85px;
        padding-bottom: 20px;
        margin-bottom: 20px !important;
    }

    section.blog-hero.position-relative .text-white-50.fs-5.mt-4 {
        color: #fff !important;
        font-size: 15px !important;
    }

    .post-meta.d-flex.justify-content-center.gap-4.text-white-50 span {
        font-size: 13px;
        color: #fff;
    }

    .post-meta.d-flex.justify-content-center.gap-4.text-white-50 span a {
        color: #fff !important;
    }

    .container.position-relative.z-2.pt-5 {
        padding-top: 0 !important;
    }

    article.blog-detail-content.blog-article {
        padding: 0 !important;
        box-shadow: none !important;
        border: 0 !important;
        margin-top: 0px;
    }

    .row.justify-content-center.post-content-wrap {
        margin-top: 10px;
    }

    article.blog-detail-content.blog-article p {
        font-size: 15px;
    }

    .thumbnail-single {
        margin-bottom: 15px !important;
    }

    article.blog-detail-content.blog-article ul,
    article.blog-detail-content.blog-article ol,
    article.blog-detail-content.blog-article ul li {
        font-size: 14px;
    }

    .author-box.d-flex.gap-4.p-4.mt-5.bg-light.rounded-4.align-items-center {
        display: block !important;
    }

    .author-box.d-flex.gap-4.p-4.mt-5.bg-light.rounded-4.align-items-center img {
        margin-bottom: 15px;
    }

    .blog-body h2 {
        font-size: 20px;
    }

    .blog-body h3 {
        font-size: 17px;
    }

    div#navbarNav.navbar-collapse {
        border-radius: 15px;
        margin-top: 10px;
    }

    .contact-info-card {
        border-radius: 10px;
        padding: 15px;
    }

    p.opacity-75.mb-5 {
        margin-bottom: 15px !important;
    }

    .contact-info-card h3.fw-bold.mb-4 {
        margin-bottom: 10px !important;
    }

    .contact-method {
        margin-bottom: 12px;
    }

    .contact-info-card .mt-5 {
        margin-top: 10px !important;
    }

    a.btn.btn-light.rounded-circle.btn-sm {
        width: 33px;
        align-items: center;
        display: flex;
        height: 33px;
    }

    .hightlight-box ul {
        grid-template-columns: repeat(1, 1fr);
    }

    .contact-form-wrap {
        padding: 15px;
        border-radius: 10px;
    }

    button.btn.text-white.small.text-decoration-none {
        width: 100px;
        font-size: 12px;
    }

    .d-flex.align-items-center.gap-4.mb-4 {
        gap: 15px !important;
    }

    .d-flex.flex-wrap.align-items-center.gap-3.mb-3 {
        margin-bottom: 5px !important;
    }

    .card.border-0.shadow-sm.rounded-4.p-4 p {
        font-size: 14px;
    }

    h4.fw-bold.mb-4.d-flex.align-items-center.gap-3 {
        font-size: 20px;
    }

    .pros-cons-card ul li {
        font-size: 14px;
    }

    .bg-light-soft ul li {
        font-size: 14px;
    }

    .hightlight-box ul li {
        font-size: 15px;
        padding: 10px;
    }

    h6.fw-bold.text-white.mb-3.mt-4 {
        color: #fff !important;
    }

    .pros-cons-card.pros-card {
        padding: 15px;
        border-radius: 10px;
    }

    .pros-cons-card.cons-card {
        padding: 15px;
        border-radius: 10px;
    }
}